/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.arrebol.taxiservicios.model.tours;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 *
 * @author Oscar
 */
@Entity
@Table(name = "espacios_tour_view")
public class EspaciosTourView implements Serializable {

   private static final long serialVersionUID = -6653037938225719593L;

   @Id
   @Column(name = "id", length = 36)
   private String id;

   @Column(name = "id_tour")
   private String idTour;

   @Column(name = "espacio_cliente_pago")
   private Boolean espacioClientePago;

   @Column(name = "consecutivo")
   private Integer consecutivo;

   @Column(name = "estatus_espacio")
   private String estatusEspacio;

   @Column(name = "nombre_cliente_pago")
   private String nombreClientePago;

   @Column(name = "comentario_pago", columnDefinition = "mediumtext")
   private String comentarioPago;

   @Column(name = "nombre_cliente_espacio")
   private String nombreClienteEspacio;

   @Column(name = "nombre_cliente_acompanante")
   private String nombreClienteAcompanante;

   @Column(name = "comentarios", columnDefinition = "text")
   private String comentarios;

   @Column(name = "observacion", columnDefinition = "text")
   private String observacion;

   @Column(name = "anticipo")
   private Double anticipo;

   @Column(name = "pago")
   private Double pago;

   @Column(name = "pago_total")
   private Double pagoTotal;

   @Column(name = "cantidad_pagada")
   private Double cantidadPagada;

   @Column(name = "estatus")
   private String estatus;

   @Column(name = "paga_al_abordar")
   private String pagaAlAbordar;

   @Column(name = "incluye_aviacion")
   private String incluyeAviacion;

   public EspaciosTourView() {
   }

   public String getId() {
      return id;
   }

   public String getIdTour() {
      return idTour;
   }

   public Boolean getEspacioClientePago() {
      return espacioClientePago;
   }

   public Integer getConsecutivo() {
      return consecutivo;
   }

   public String getEstatusEspacio() {
      return estatusEspacio;
   }

   public String getNombreClientePago() {
      return nombreClientePago;
   }

   public String getComentarioPago() {
      return comentarioPago;
   }

   public String getNombreClienteEspacio() {
      return nombreClienteEspacio;
   }

   public String getNombreClienteAcompanante() {
      return nombreClienteAcompanante;
   }

   public String getComentarios() {
      return comentarios;
   }

   public String getObservacion() {
      return observacion;
   }

   public Double getAnticipo() {
      return anticipo;
   }

   public Double getPago() {
      return pago;
   }

   public Double getPagoTotal() {
      return pagoTotal;
   }

   public Double getCantidadPagada() {
      return cantidadPagada;
   }

   public String getEstatus() {
      return estatus;
   }

   public String getPagaAlAbordar() {
      return pagaAlAbordar;
   }

   public String getIncluyeAviacion() {
      return incluyeAviacion;
   }

}
